package com.mx.dla.dda.reporte.pagosTransaccion.daos;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.reporte.pagosTransaccion.dtos.DetalleHistorico;
import com.mx.dla.dda.reporte.pagosTransaccion.dtos.PagoTransaccion;
import com.mx.dla.dda.reporte.pagosTransaccion.dtos.PagoTransaccionFiltros;

public interface PagoTransacionDAO {

	List<PagoTransaccion> buscarPagosTransaccion(PagoTransaccionFiltros filtros);
	Long cuentaContratosCalculoCostoPorEstudioMes(@Param("idEstudio")Long idEstudio,@Param("mes")String mes);
	Long calculaCostoContratoMes(@Param("idContrato")Long idContrato,@Param("mes")String mes);
	List<PagoTransaccion> buscarPagosTransaccionHistorico(PagoTransaccionFiltros filtros);
	List<DetalleHistorico> buscarPagosTransaccionConFechaMayor(@Param("idTituloCnt")Long idTituloCnt,@Param("fecha")Date fecha);
}

